%global runtests 1

%global pyside_eggpath_py2 %{python2_sitearch}/PySide-%{version}-py%{python2_version}.egg-info
%global pyside_eggpath_py3 %{python3_sitearch}/PySide-%{version}-py%{python3_version}.egg-info

Name:           python-pyside
Version:        1.2.4
Release:        10%{?dist}
Summary:        Python bindings for Qt4

License:        LGPLv2
URL:            http://www.pyside.org
Source0:        https://github.com/pyside/PySide/archive/%{version}/%{name}-%{version}.tar.gz
# PKG-INFO from source package from
# https://pypi.python.org/pypi/PySide/1.2.4#downloads
Source1:        python-pyside-1.2.4-PKG-INFO.txt

BuildRequires:  cmake gcc-c++
BuildRequires:  generatorrunner-devel
BuildRequires:  phonon-devel
BuildRequires:  python2-devel
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  qt4-devel
BuildRequires:  qt4-webkit-devel
BuildRequires:  shiboken-python2-devel >= 1.2.0
BuildRequires:  shiboken-python%{python3_pkgversion}-devel >= 1.2.0
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  xorg-x11-xauth

%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%global _description\
PySide provides Python bindings for the Qt cross-platform application\
and UI framework. PySide consists of a full set of Qt bindings, being\
compatible with PyQt4 API 2.\


%description %_description

%package -n python2-pyside
Summary: %summary
%{?python_provide:%python_provide python2-pyside}

%description -n python2-pyside %_description

%package -n python%{python3_pkgversion}-pyside
Summary: %summary
%{?python_provide:%python_provide python%{python3_pkgversion}-pyside}

%description -n python%{python3_pkgversion}-pyside %_description

%package        devel
Summary:        Development files for %{name}
Requires:       python2-pyside%{?_isa} = %{version}-%{release}
Requires:       python%{python3_pkgversion}-pyside%{?_isa} = %{version}-%{release}
Requires:       cmake
Requires:       phonon-devel
Requires:       qt4-devel
Requires:       qt4-webkit-devel
Requires:       shiboken-python2-devel
Requires:       shiboken-python%{python3_pkgversion}-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n PySide-%{version}


%build
mkdir -p python2
pushd python2
%{cmake} -DCMAKE_BUILD_TYPE=Release -DPYTHON_SUFFIX=-python%{python2_version} ..
%make_build
popd

mkdir -p python3
pushd python3
%{cmake} -DCMAKE_BUILD_TYPE=Release .. \
%if 0%{?python3_version_nodots} >= 36
         -DPYTHON_SUFFIX=.cpython-%{python3_version_nodots}m-%{_arch}-%{_target_os}%{?_gnu}
%else
         -DPYTHON_SUFFIX=.cpython-%{python3_version_nodots}m
%endif
%make_build
popd


%install
%make_install -C python2
mv $RPM_BUILD_ROOT%{_libdir}/pkgconfig/pyside{,-python%{python2_version}}.pc
%make_install -C python3
mv $RPM_BUILD_ROOT%{_libdir}/pkgconfig/pyside{,-python%{python3_version}}.pc
# Symlink to default
ln -s pyside-python%{python2_version}.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/pyside.pc

# Fix permissions
chmod 755 $RPM_BUILD_ROOT%{python2_sitearch}/PySide/*.so
chmod 755 $RPM_BUILD_ROOT%{python3_sitearch}/PySide/*.so


# Manually create the egg-info data
mkdir -p $RPM_BUILD_ROOT%{pyside_eggpath_py2}
install -m 0644 \
    %{SOURCE1} \
    $RPM_BUILD_ROOT%{pyside_eggpath_py2}/PKG-INFO
echo "PySide" > $RPM_BUILD_ROOT%{pyside_eggpath_py2}/top_level.txt
touch $RPM_BUILD_ROOT%{pyside_eggpath_py2}/not-zip-safe
mkdir -p $RPM_BUILD_ROOT%{pyside_eggpath_py3}
install -m 0644 \
    %{SOURCE1} \
    $RPM_BUILD_ROOT%{pyside_eggpath_py3}/PKG-INFO
echo "PySide" > $RPM_BUILD_ROOT%{pyside_eggpath_py3}/top_level.txt
touch $RPM_BUILD_ROOT%{pyside_eggpath_py3}/not-zip-safe


%check
%if 0%{?runtests}
# Tests need an X server
export DISPLAY=:21
Xvfb $DISPLAY &
trap "kill $! ||:" EXIT
sleep 3

pushd python2
ctest -V ||:
popd
pushd python3
ctest -V ||:
popd
%endif


%ldconfig_scriptlets -n python2-pyside
%ldconfig_scriptlets -n python%{python3_pkgversion}-pyside


%files -n python2-pyside
%doc COPYING PySide/licensecomment.txt
%{_libdir}/libpyside-python2*.so.*
%{python2_sitearch}/PySide/
%{pyside_eggpath_py2}

%files -n python%{python3_pkgversion}-pyside
%doc COPYING PySide/licensecomment.txt
%{_libdir}/libpyside.cpython-%{python3_version_nodots}m*.so.*
%{python3_sitearch}/PySide/
%{pyside_eggpath_py3}

%files devel
%{_includedir}/PySide/
%{_libdir}/libpyside*.so
%{_libdir}/cmake/PySide-%{version}/
%{_libdir}/pkgconfig/pyside*.pc
%{_datadir}/PySide/


%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 22 2019 Richard Shaw <hobbes1069@gmail.com> - 1.2.4-9
- Rebuild in attempt to fix RHBZ#1709521.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 1.2.4-7
- Rebuild with fixed binutils

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.2.4-3
- Rebuilt for Python 3.7

* Wed Feb 21 2018 Miro Hrončok <mhroncok@redhat.com> - 1.2.4-2
- Don't require ambiguous python-pyside

* Wed Feb 14 2018 Orion Poplawski <orion@nwra.com> - 1.2.4-1
- Update to 1.2.4
- Ship python3 version (bug #1320653)
- Fix scriptlet packages
- Drop deprecated provides filtering

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.2-11
- Python 2 binary package renamed to python2-pyside
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jul 08 2017 Felix Schwarz <fschwarz@fedoraproject.org> - 1.2.2-9
- also package egg-info (based on patch by Martin Wilck / RHBZ 1326469)

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.2.2-8
- Rebuild due to bug in RPM (RHBZ #1468476)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.2.2-3
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 09 2014 Jaroslav Reznik <jreznik@redhat.com> 1.2.2-1
- 1.2.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 03 2013 Rex Dieter <rdieter@fedoraproject.org> 1.2.1-1
- 1.2.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 27 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 21 2012 Kalev Lember <kalevlember@gmail.com> - 1.1.0-1
- Update to 1.1.0

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-2
- Rebuilt for glibc bug#747377

* Fri Oct 21 2011 Kalev Lember <kalevlember@gmail.com> - 1.0.8-1
- Update to 1.0.8
- Dropped the Qt 4.8 patch that was merged upstream

* Thu Aug 25 2011 Kalev Lember <kalevlember@gmail.com> - 1.0.6-1
- Update to 1.0.6
- Added a patch for building with Qt 4.8

* Thu Jun 23 2011 Kalev Lember <kalev@smartlink.ee> - 1.0.4-1
- Update to 1.0.4
- Cleaned up the spec file for modern rpmbuild

* Fri May 27 2011 Kalev Lember <kalev@smartlink.ee> - 1.0.3-1
- Update to 1.0.3

* Sun May 01 2011 Kalev Lember <kalev@smartlink.ee> - 1.0.2-1
- Update to 1.0.2

* Sun Apr 03 2011 Kalev Lember <kalev@smartlink.ee> - 1.0.1-1
- Update to 1.0.1

* Thu Mar 03 2011 Kalev Lember <kalev@smartlink.ee> - 1.0.0-1.1
- Require Qt version greater or equal than the package was built with

* Thu Mar 03 2011 Kalev Lember <kalev@smartlink.ee> - 1.0.0-1
- Update to 1.0.0
- Re-enabled Provides filtering
- Force Release build type to make sure NDEBUG is defined

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.3.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 22 2011 Kalev Lember <kalev@smartlink.ee> - 1.0.0-0.2.beta4
- Update to 1.0.0~beta4
- Dropped upstreamed patches
- Disabled Provides filtering which fails with ~ in directory name

* Fri Nov 26 2010 Kalev Lember <kalev@smartlink.ee> - 1.0.0-0.1.beta1
- Update to 1.0.0~beta1
- Patch phonon bindings to build with phonon 4.4.3

* Thu Oct 14 2010 Kalev Lember <kalev@smartlink.ee> - 0.4.2-1
- Update to 0.4.2
- Dropped upstreamed patches

* Sat Oct 02 2010 Kalev Lember <kalev@smartlink.ee> - 0.4.1-4
- Re-enabled phonon bindings

* Wed Sep 29 2010 jkeating - 0.4.1-3
- Rebuilt for gcc bug 634757

* Fri Sep 17 2010 Kalev Lember <kalev@smartlink.ee> - 0.4.1-2
- Depend on qt4-webkit-devel instead of qt-webkit-devel

* Sat Sep 11 2010 Kalev Lember <kalev@smartlink.ee> - 0.4.1-1
- Update to 0.4.1
- Added patch to disable xvfb-run which is currently broken (#632879)
- Disabled phonon bindings (PySide bug #355)
- License change from LGPLv2 with exceptions to LGPLv2

* Sun Aug 15 2010 Kalev Lember <kalev@smartlink.ee> - 0.4.0-3
- Review related fixes (#623425)
- Include PySide/licensecomment.txt

* Thu Aug 12 2010 Kalev Lember <kalev@smartlink.ee> - 0.4.0-2
- Added missing phonon-devel and qt-webkit-devel deps (#623425)

* Wed Aug 11 2010 Kalev Lember <kalev@smartlink.ee> - 0.4.0-1
- Initial RPM release
